Paquet mysql manquant [Résolu]

-
Bonjour,

Je dois installer mon serveur LAMP, et je n'arrive pas à installer
mysql-server
: : E: le paquet n'est susceptible d'être installer *

J'ai tout fait, update, mettre à jour
/etc/apt/source.list
, purger, réinstaller, toujours le même message.

Merci de m'aider
Dnr
Afficher la suite 

1 réponse

Messages postés
28956
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
22 août 2019
6622
0
Merci
Bonjour,

Merci de ne pas utiliser d'abréviation, de reporter les messages d'erreur exact ainsi que ton fichier
/etc/apt/sources.list
.

Réponse courte

Le paquet que tu cherches ne porte pas ce nom actuellement. Il faut probablement que tu lances (en root) plutôt ceci :

apt update
apt install default-mysql-server


Réponse détaillée

Quand tu es dans ce genre de situation il faut commencer par faire deux choses :

1) Une recherche dans les paquets, avec
apt search ...
(ou
apt-cache search ...
) et packages.debian.org. Tu aurais alors vu ceci :

(mando@silk) (~) $ apt search mysql-server
En train de trier... Fait
Recherche en texte intégral... Fait
default-mysql-server/testing,testing 1.0.5 all
MySQL database server binaries and system database setup (metapackage)

default-mysql-server-core/testing,testing 1.0.5 all
MySQL database server binaries (metapackage)


2) Si le paquet est trouvé sur packages.debian.org mais pas avec
apt search ...
,
apt-cache search ...
, alors se pose la question des dépôts configurés dans
/etc/apt/sources.list
. La page packages.debian.org permet notamment de voir quelles versions de debian fournissent ce paquet.

Comme le montre cette page il est disponible en debian stretch, buster et bullseye (ce qui correspond notamment aux versions oldstable, stable et testing actuelles).

Bonne chance
Merci beaucoup mamiemando pour votre réponse .

Je n'ai pu copier/coller les commandes et message affiché sur mon terminal pour les poster , j'ai un probleme de son et aussi celui du copier coller apres une mise a jour .
j'ai effectué "default -mysql-install "et j'ai eu comme message

" des erreurs ont été rencontrées pendant l'exécution inetsim "
E: sub-process /usr/bin/dpkg returned an error code (1)
mamiemando
Messages postés
28956
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
22 août 2019
6622 -
Bonjour,

Pour copier coller, c'est facile, comme sous windows : tu sélectionnes, clic droit, copier, et pour coller, clic droit coller dans la fenêtre appropriée. Cela marche notamment dans un terminal graphique (e.g. xterm, gnome-terminal, konsole...).

Si tu ne parviens pas à faire de copier coller, recopie exactement les commandes. Ici vu ton message d'erreur tu n'as pas tapé les commandes que je t'ai indiquées. La commande n'est pas
default -mysql-install
mais, en root
apt install default-mysql-server
.

Bonne chance
Commenter la réponse de mamiemando